Package ru.bitel.common

# Enum Class XMLUtils.ErrorShowType

java.lang.Object
java.lang.Enum<XMLUtils.ErrorShowType>
ru.bitel.common.XMLUtils.ErrorShowType

All Implemented Interfaces:
  `Serializable`, `Comparable<XMLUtils.ErrorShowType>`, `Constable`

Enclosing class:
  `XMLUtils`

public static enum XMLUtils.ErrorShowType extends Enum<XMLUtils.ErrorShowType>
что делать с ошибками

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `EXCEPTION`
  кидать экзепшен (TODO во многом сейчас runtime кидается но по идее надо остальное на BGException сделать)
  `SILENT`
  молча (TODO тоже исторические места остались в коде по всей видимости)

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static XMLUtils.ErrorShowType`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static XMLUtils.ErrorShowType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### EXCEPTION

    public static final XMLUtils.ErrorShowType EXCEPTION
    кидать экзепшен (TODO во многом сейчас runtime кидается но по идее надо остальное на BGException сделать)

  - ### SILENT

    public static final XMLUtils.ErrorShowType SILENT
    молча (TODO тоже исторические места остались в коде по всей видимости)

- ## Method Details

  - ### values

    public static XMLUtils.ErrorShowType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static XMLUtils.ErrorShowType valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null